"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GameRecordCard = void 0;
const request_1 = require("../utils/request");
const error_1 = require("../utils/error");
const clientCache_1 = require("../client/clientCache");
class GameRecordCard {
    constructor() {
        Object.defineProperty(this, "cache", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.cache = new clientCache_1.ClientCache();
    }
    /**
   * @param {string} uid Hoyolab uid
   * @param {Language} language The language to set
   * @param {string} cookie The cookie to set
   */
    async get(uid, language, cookie) {
        const instance = new request_1.request({
            type: request_1.urlOption.hoyolab,
        });
        instance.setLanguage(language);
        console.log(cookie);
        const res = await instance.get("getGameRecordCard", {
            Cookie: cookie,
        }, {
            "uid": uid,
        });
        if (res.retcode === 0) {
            const { data } = res;
            this.cache.set(`${uid}-recordCard`, data);
            return {
                list: data,
                currecnt: data.list[0],
            };
        }
        throw new error_1.APIError(res.message, res.retcode);
    }
}
exports.GameRecordCard = GameRecordCard;
