import type { APIResponse, DayReward } from "../interface";
import type { Language } from "../constants/lang";
export declare class DailyRewards {
    /**
       * @description Get the daily rewards details
       * @param {string} cookie The cookie to set
       * @param {Language} language The language to set
       * @param {number} day get the day's rewards
       */
    getDayReward(day: number, language: Language, cookie: string): Promise<DayReward>;
    /**
     *
     * @description Claim the daily rewards
     * @param {Language} language The language to set
     * @param {string} cookie The cookie to set
     */
    claim(language: Language, cookie: string): Promise<APIResponse>;
}
